[PATCH] libosmo-abis[master]: jenkins.sh: use osmo-build-dep.sh, print separator

This is merely a historical archive of years 2008-2021, before the migration to mailman3.

A maintained and still updated list archive can be found at https://lists.osmocom.org/hyperkitty/list/gerrit-log@lists.osmocom.org/.

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Thu Oct 6 22:47:57 UTC 2016


Hello Jenkins Builder,

I'd like you to reexamine a change.  Please visit

    https://gerrit.osmocom.org/1018

to look at the new patch set (#4).

jenkins.sh: use osmo-build-dep.sh, print separator

Change-Id: I36ce41c669ffb123ec0741061e357a94baee6460
---
M contrib/jenkins.sh
1 file changed, 19 insertions(+), 11 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/libosmo-abis refs/changes/18/1018/4

diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index e315b4f..50628fc 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -2,20 +2,28 @@
 
 set -ex
 
-rm -rf deps/install
-mkdir deps || true
-cd deps
-osmo-deps.sh libosmocore
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
 
-cd libosmocore
-autoreconf --install --force
-./configure --prefix=$PWD/../install
-$MAKE $PARALLEL_MAKE install
+mkdir "$deps" || true
+rm -rf "$inst"
 
-cd ../../
+osmo-build-dep.sh libosmocore
+
+export PKG_CONFIG_PATH="$inst/lib/pkgconfig:$PKG_CONFIG_PATH"
+export LD_LIBRARY_PATH="$inst/lib"
+
+set +x
+echo
+echo
+echo
+echo " =============================== libosmo-abis ==============================="
+echo
+set -x
+
 autoreconf --install --force
-export PKG_CONFIG_PATH=$PWD/deps/install/lib/pkgconfig:$PKG_CONFIG_PATH
-export LD_LIBRARY_PATH=$PWD/deps/install/lib
 ./configure
 $MAKE $PARALLEL_MAKE
 $MAKE distcheck

-- 
To view, visit https://gerrit.osmocom.org/1018
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newpatchset
Gerrit-Change-Id: I36ce41c669ffb123ec0741061e357a94baee6460
Gerrit-PatchSet: 4
Gerrit-Project: libosmo-abis
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>
Gerrit-Reviewer: Jenkins Builder



More information about the gerrit-log mailing list